%define upstream_name	 IO-Tee
%define upstream_version 0.66

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Multiplex output to multiple output handles 
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TL/TLOWERY/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Symbol)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
IO::Tee objects can be used to multiplex input and output in two different
ways. The first way is to multiplex output to zero or more output handles. The
IO::Tee constructor, given a list of output handles, returns a tied handle that
can be written to. When written to (using print or printf), the IO::Tee object
multiplexes the output to the list of handles originally passed to the
constructor. As a shortcut, you can also directly pass a string or an array
reference to the constructor, in which case IO::File::new is called for you
with the specified argument or arguments.

The second way is to multiplex input from one input handle to zero or more
output handles as it is being read. The IO::Tee constructor, given an input
handle followed by a list of output handles, returns a tied handle that can be
read from as well as written to. When written to, the IO::Tee object
multiplexes the output to all handles passed to the constructor, as described
in the previous paragraph. When read from, the IO::Tee object reads from the
input handle given as the first argument to the IO::Tee constructor, then
writes any data read to the output handles given as the remaining arguments to
the constructor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/IO

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.660.0-3.mga10
+ Revision: 2206465
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.660.0-2.mga9
+ Revision: 1813129
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 tv <tv> 0.660.0-1.mga8
+ Revision: 1617399
- update to 0.66

* Wed Feb 12 2020 umeabot <umeabot> 0.650.0-4.mga8
+ Revision: 1504798
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.650.0-3.mga7
+ Revision: 1284305
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.650.0-2.mga7
+ Revision: 1165021
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.650.0-1.mga7
+ Revision: 1159496
- update to 0.65

* Sun Jun 19 2016 pterjan <pterjan> 0.640.0-7.mga6
+ Revision: 1028790
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.640.0-6.mga6
+ Revision: 934480
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.640.0-5.mga5
+ Revision: 741171
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.640.0-4.mga5
+ Revision: 685087
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.640.0-3.mga4
+ Revision: 512345
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.640.0-2.mga3
+ Revision: 368588
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.640.0-1.mga1
+ Revision: 22545
- cleaning spec file
- imported package perl-IO-Tee


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.640.0-1mdv2010.0
+ Revision: 402559
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.64-5mdv2009.0
+ Revision: 257358
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.64-3mdv2008.1
+ Revision: 135856
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.64-3mdv2008.0
+ Revision: 86511
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.64-2mdv2007.0
- Rebuild

* Thu Oct 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.64-1mdk
- first mdk release

